Status: Resolved Start date: 2015-05-18
Priority: Normal Due date:

Assignee: Nicholas Jillings % Done: 80%
Category: Estimated time: 0.00 hour
Target version:

Description

Make it so that session is saved intermittently, so that even when XML is not saved at the end, it's possible to go back to a test, or
recuperate the data until then.

Related issues:
Related to Feature # 1294: Interrupt test but save responses so far (and load... Resolved 2015-06-23

History

#1 - 2015-11-19 03:59 PM - Nicholas Jillings

- Related to Feature #1294: Interrupt test but save responses so far (and loading functionality) added

#2 - 2016-02-22 10:56 PM - Giulio Moro
- Priority changed from Low to Normal

| resurrect this and give it normal priority.
It is important that the results of a 40 minutes test do not get lost because of an internet outage 39minutes in. An asynchronous save at every "submit"
should suffice for my purposes.

#3 - 2016-03-09 01:14 PM - Nicholas Jillings
- Status changed from New to In Progress

- Assignee set to Nicholas Jillings

- % Done changed from 0 to 80

| have started working on this and it should be functional now. Currently there is no way to resume an interrupted session, but it will now update the
stored results file on each advanceState trigger (caused be completing surveys and pages). So any crashes should only cause data loss of the last
page. In theory we could perform one on a timer base, but this is the cleanest way for resumption of tests (pages are boolean, they were either
completed or not).

#4 - 2016-03-22 12:40 PM - Nicholas Jillings

- Status changed from In Progress to Resolved

2024-05-21 1/1




